{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "COU_NUMERO"; 
            externalType = NUMBER; 
            name = couNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "SPEC_KEY"; 
            externalType = NUMBER; 
            name = specKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "SPWC_KEY"; 
            externalType = NUMBER; 
            name = spwcKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_ORDRE"; 
            externalType = NUMBER; 
            name = typeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (specKey, spwcKey); 
    className = "org.cocktail.geide.fwkcktlgedibus.metier.serveur.SpecifWeb"; 
    classProperties = (couNumero, spwcKey, typeOrdre, "gB_SpecifWebCommune"); 
    externalName = "COURRIER.SPECIF_WEB"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (couNumero, spwcKey, typeOrdre); 
        "_javaClientClassName" = "org.cocktail.geide.fwkcktlgedibus.metier.client.SpecifWeb"; 
    }; 
    name = "GB_SpecifWeb"; 
    primaryKeyAttributes = (specKey); 
    relationships = (
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = "GB_SpecifWebCommune"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = spwcKey; sourceAttribute = spwcKey; }); 
            name = "gB_SpecifWebCommune"; 
        }
    ); 
}
